org.apache.jmeter.rmi

## Class RMIServerSocketFactoryImpl

- java.lang.Object
- - org.apache.jmeter.rmi.RMIServerSocketFactoryImpl

- All Implemented Interfaces:
    java.io.Serializable, java.rmi.server.RMIServerSocketFactory

      public class RMIServerSocketFactoryImpl
      extends java.lang.Object
      implements java.rmi.server.RMIServerSocketFactory, java.io.Serializable

  Custom `RMIServerSocketFactory` that binds RMI to particular host/ip
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMIServerSocketFactoryImpl(java.net.InetAddress pAddress)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.ServerSocket` | `createServerSocket(int port)` Creates a server socket that listens on localAddress:port
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RMIServerSocketFactoryImpl

          public RMIServerSocketFactoryImpl(java.net.InetAddress pAddress)

  - ### Method Detail

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket(int port)
                                                   throws java.io.IOException

      Creates a server socket that listens on localAddress:port
      Specified by:
        `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
      Parameters:
        `port` - to use for the RMI server socket
      Throws:
        `java.io.IOException`
      See Also:
        `RMIServerSocketFactory.createServerSocket(int)`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.